#pragma once
#include "Entity.h"
#define CS_LARGEDOOR_CREATENAME L"CS_largedoor"
//´óÃÅ
class CS_LargeDoor :
    public Entity
{
public:
    CS_LargeDoor();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int sound_counter = 0;
};

std::shared_ptr<Entity> CreateCS_LargeDoor();